import { createFileRoute } from "@tanstack/react-router";
import { z } from "zod";
import { ExpensesPage } from "@/features/expenses/ExpensesPage";

export const Route = createFileRoute("/_authenticated/expenses")({
  validateSearch: z.object({
    periodicExpenseId: z.coerce.number().optional(),
  }),
  component: ExpensesPage,
});
